LANGUAGE = "de"
ENABLE_PRONOUN_GROUPS = False

PRONOUNS_GROUPS_EN = {
    "i": 0,
    "me": 0,
    "my": 0,
    "mine": 0,
    "myself": 0,
    "you": 1,
    "your": 1,
    "yours": 1,
    "yourself": 1,
    "yourselves": 1,
    "he": 2,
    "him": 2,
    "his": 2,
    "himself": 2,
    "she": 3,
    "her": 3,
    "hers": 3,
    "herself": 3,
    "it": 4,
    "its": 4,
    "itself": 4,
    "we": 5,
    "us": 5,
    "our": 5,
    "ours": 5,
    "ourselves": 5,
    "they": 6,
    "them": 6,
    "their": 6,
    "themselves": 6,
    "that": 7,
    "this": 7,
}

PRONOUNS_GROUPS_DE = {
    "ich": 0,
    "mich": 0,
    "mir": 0,
    "mein": 0,
    "meine": 0,
    "meins": 0,
    "meiner": 0,
    "du": 1,
    "dich": 1,
    "dir": 1,
    "deins": 1,
    "dein": 1,
    "deine": 1,
    "deiner": 1,
    "er": 2,
    "der": 2,
    "ihm": 2,
    "ihn": 2,
    "es": 2,
    "seins": 2,
    "seine": 2,
    "sein": 2,
    "seiner": 2,
    "jener": 2,
    "dessen": 2,
    "sie": 3,
    "jene": 3,
    "die": 3,
    "deren": 3,
    "ihres": 3,
    "ihr": 3,
    "ihre": 3,
    "ihnen": 3,
    "wir": 4,
    "uns": 4,
    "unseres": 4,
    "unser": 4,
    "unsere": 4,
    "euch": 5,
    "eures": 5,
    "eure": 5,
    "das": 7,
    "dies": 7,
    "sich": 8,
}


PRONOUNS_DE = {
    "ich": 0,
    "mich": 0,
    "mir": 0,
    "mein": 0,
    "meine": 0,
    "meins": 0,
    "meiner": 0,
    "du": 0,
    "dich": 0,
    "dir": 0,
    "deins": 0,
    "dein": 0,
    "deine": 0,
    "deiner": 0,
    "er": 0,
    "der": 0,
    "ihm": 0,
    "ihn": 0,
    "es": 0,
    "seins": 0,
    "seine": 0,
    "sein": 0,
    "seiner": 0,
    "jener": 0,
    "dessen": 0,
    "sie": 0,
    "jene": 0,
    "die": 0,
    "deren": 0,
    "ihres": 0,
    "ihr": 0,
    "ihre": 0,
    "ihnen": 0,
    "wir": 0,
    "uns": 0,
    "unseres": 0,
    "unser": 0,
    "unsere": 0,
    "euch": 0,
    "eures": 0,
    "eure": 0,
    "das": 0,
    "dies": 0,
    "sich": 0,
}

PRONOUNS_GROUPS = (
    (PRONOUNS_GROUPS_DE if ENABLE_PRONOUN_GROUPS else PRONOUNS_DE)
    if LANGUAGE == "de"
    else PRONOUNS_GROUPS_EN
)

STOPWORDS_EN = {
    "'s",
    "a",
    "all",
    "an",
    "and",
    "at",
    "for",
    "from",
    "in",
    "into",
    "more",
    "of",
    "on",
    "or",
    "some",
    "the",
    "these",
    "those",
}

STOPWORDS_DE = {
    "in",
    "bei",
    "ein",
    "eine",
    "kein",
    "keine",
    "diese",
    "diesen",
    "alle",
    "jeder",
    "man",
    "und",
    "auch",
    "oder",
    "so",
    "wie",
    "als",
    "sowohl",
    "von",
    "zu",
    "mehr",
    "weniger",
    "auf",
    "unter",
    "neben",
}

STOPWORDS = STOPWORDS_DE if LANGUAGE == "de" else STOPWORDS_EN

MODELS = ["mes", "s2e", "incr", None]
DATASETS = ["ontonotes", "litbank", "preco"]
CATEGORIES = (
    {
        "pron-pron-comp": 0,
        "pron-pron-no-comp": 1,
        "pron-ent": 2,
        "match": 3,
        "contain": 4,
        "other": 5,
    }
    if ENABLE_PRONOUN_GROUPS
    else {
        "pron-pron": 0,
        "pron-ent": 1,
        "match": 2,
        "contain": 3,
        "other": 4,
    }
)
